<div class="navbar navbar-inverse bg-inverse">
  <a class="navbar-brand">SPORTS STORE</a>
  <app-cart-summary></app-cart-summary>
</div>
<div class="row">
  <div class="col-sm-3 p-b-1">
      <button class="btn btn-block btn-outline-primary"
      [class.active]="selectedCategory === undefined || selectedCategory === null"
      (click)="changeCategory()">
        Home
      </button>
      <button *ngFor="let category of categories" 
        class="btn btn-block btn-outline-primary"
        [class.active]="category == selectedCategory"
        (click)="changeCategory(category)">
        {{category.name}}
      </button>
      <button class="btn btn-block btn-danger m-t-3" routerLink="/admin">Admin</button>
  </div>
  <div class="col-sm-9 p-b-1">
      <div class="card border-primary mb-3" *ngFor="let product of products">
          <div class="card-header">
            {{product.name}}
            <span class="badge badge-pill badge-primary pull-right">
              {{ product.price | currency:"USD" }}
            </span>
          </div>
          <div class="card-body text-dark">
            <p class="card-text">{{product.description}}</p>
            <button class="btn btn-success btn-sm pull-right" (click)="addProductToCart(product)"> Add to cart</button>
          </div>
      </div>
      <div class="form-inline pull-left">
        <select class="form-control"
          [value]="productsPerPage" 
          (change) = "changePageSize($event.target.value)">
          <option value="3">3 per Page</option>
          <option value="4">4 per Page</option>
          <option value="6">6 per Page</option>
          <option value="8">8 per Page</option>
        </select>
      </div>
      <div class="btn-group pull-right">
        <button *ngFor="let page of pageNumbers" 
          (click)="changePage(page)" 
          class="btn btn-outline-primary"
          [class.active]="page == selectedPage">
          {{page}}
        </button>
      </div>
  </div>
</div>